Bug 20741 - Update two-column templates with Bootstrap grid: Administration part 5
Summary: Update two-column templates with Bootstrap grid: Administration part 5
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20668
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-05-09 12:02 UTC by Owen Leonard
Modified: 2019-10-14 19:56 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20741: Update two-column templates with Bootstrap grid: Administration part 4 (10.53 KB, patch)
2018-08-17 14:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20741: Update two-column templates with Bootstrap grid: Administration part 5 (10.59 KB, patch)
2018-08-29 12:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20741: Update two-column templates with Bootstrap grid: Administration part 5 (10.65 KB, patch)
2018-08-30 09:28 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20741: Update two-column templates with Bootstrap grid: Administration part 5 (10.71 KB, patch)
2018-08-30 20:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-05-09 12:02:41 UTC
This patch will convert still more administration templates to use the Bootstrap grid:

 - fieldmapping.tt
 - item_circulation_alerts.tt
 - itemtypes.tt
 - koha2marclinks.tt
 - localization.tt
 - marctagstructure.tt
Comment 1 Owen Leonard 2018-08-17 14:01:08 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-08-21 07:03:32 UTC
Patch does not apply 

Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/fieldmapping.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/item_circulation_alerts.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/itemtypes.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/koha2marclinks.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/localization.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/marctagstructure.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/marctagstructure.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/marctagstructure.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/localization.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/koha2marclinks.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/koha2marclinks.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/itemtypes.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/itemtypes.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/item_circulation_alerts.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/item_circulation_alerts.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/fieldmapping.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/fieldmapping.tt
Failed to merge in the changes.
Comment 3 Katrin Fischer 2018-08-27 18:41:22 UTC
Owen, can you please rebase? Part 5 is missing from the sequence! :)
Comment 4 Owen Leonard 2018-08-29 12:31:57 UTC Comment hidden (obsolete)
Comment 5 Claire Gravely 2018-08-30 09:28:48 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2018-08-30 20:00:19 UTC
Created attachment 78316 [details] [review]
Bug 20741: Update two-column templates with Bootstrap grid: Administration part 5

This patch modifies several administration templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags in the modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Administration -> Keywords to MARC mapping
 - Administration -> Item circulation alerts
 - Administration -> Item types
   - View and edit item types
   - Edit and item type and translate a description
 - Administration -> Koha to MARC mapping
 - Administration -> MARC frameworks -> MARC structure
   - View and edit tags

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2018-08-30 20:01:00 UTC
Missing the table-wise filters on koha2marclinks, that's entirely unrelated to this patch (I checked ;) )
Comment 8 Nick Clemens 2018-09-06 17:40:41 UTC
Awesome work all! 

Pushed to master for 18.11
Comment 9 Martin Renvoize 2018-09-10 17:23:10 UTC
Enhancement, will not be backported to 18.05.x series.